<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
  
@cu CU-SA-AC-082 Administrar Pagos del Contrato del Avaluador Externo 

-->

<h:form id="administrarPagosContratoAvaluadorExterno"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer width="5" />

    <p:fieldset>

        <p:messages id="msgsAPCAE" showDetail="false" globalOnly="false" />

        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Número documento:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.avaluador.numeroIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Nombre avaluador:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.avaluador.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.avaluador.territorial.nombre}"
                styleClass="outputTextStyle" />

            <h:outputText value="" />
            <h:outputText value="" />

            <h:outputLabel value="Número contrato:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.contrato.contratoNumero}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Año contrato:" styleClass="outputLabelStyle" />
            <h:outputText value="#{adminPagosContratoAvaluador.contrato.anio}"
                          styleClass="outputTextStyle" />

            <h:outputLabel value="Valor contrato:" styleClass="outputLabelStyle" />
            <h:outputText value="#{adminPagosContratoAvaluador.contrato.valor}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

            <h:outputLabel value="Valor total adiciones:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.contrato.valorTotalAdiciones}"
                styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

            <h:outputLabel value="Valor contrato con adiciones:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.contrato.valorTotalConAdiciones}"
                styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

            <h:outputLabel value="Valor pagos causados:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.contrato.valorTotalPagosCausados}"
                styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

            <h:outputLabel value="Valor total pagos salud:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.contrato.valorTotalPagosSalud}"
                styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

            <h:outputLabel value="Valor total pagos pensión:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.contrato.valorTotalPagosPension}"
                styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

        </h:panelGrid>


        <p:tabView id="pagosTV" dynamic="true" cache="false">

            <p:tab id="pagosProyectadosT" title="Relación pagos proyectados">

                <p:dataTable value="#{adminPagosContratoAvaluador.pagosProyectados}"
                             var="pagoProyectado" rowKey="#{pagoProyectado.id}" paginator="true"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                             {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="3,5,10" paginatorPosition="bottom"
                             emptyMessage="No se encontraron pagos proyectados">

                    <f:facet name="header">
                        Relación pagos proyectados
                    </f:facet>

                    <p:column headerText="Opciones"
                              rendered="#{!adminPagosContratoAvaluador.banderaModoSoloLectura}">
                        <p:commandButton title="Modificar" icon="ui-icon ui-icon-pencil"
                                         action="#{adminPagosContratoAvaluador.cargarVentanaEdicionPago}"
                                         update=":administrarProyeccionPagoForm"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();
                                         administrarProyeccionPagosAvaluadorExternoWV.show();">
                            <f:setPropertyActionListener
                                target="#{adminPagosContratoAvaluador.pagoSeleccionado}"
                                value="#{pagoProyectado}" />
                        </p:commandButton>
                        <p:commandButton title="Asociar pago causado" icon="ui-icon-plus"
                                         update=":asociarPagoCausadoForm" onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();
                                         asociarPagoCausadoWV.show();">
                            <f:setPropertyActionListener
                                target="#{adminPagosContratoAvaluador.pagoSeleccionado}"
                                value="#{pagoProyectado}" />
                        </p:commandButton>
                    </p:column>

                    <p:column headerText="Sec. pago">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{pagoProyectado.consecutivoPago}" />
                    </p:column>

                    <p:column headerText="Fecha interventoria">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{pagoProyectado.fechaInterventoria}">
                            <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                               timeZone="GMT-5" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Valor total pago">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{pagoProyectado.valor}">
                            <f:converter converterId="converterMoneda" />
                        </h:outputText>
                    </p:column>
                </p:dataTable>

            </p:tab>
            <p:tab id="pagosCausadosT"
                   title="Relación pagos causados del contrato">

                <p:dataTable value="#{adminPagosContratoAvaluador.pagosCausados}"
                             var="pagoCausado" rowKey="#{pagoCausado.id}" paginator="true"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                             {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="3,5,10" paginatorPosition="bottom"
                             emptyMessage="No se encontraron pagos causados">

                    <f:facet name="header">
                        Relación pagos causados del contrato
                    </f:facet>

                    <p:column headerText="Número orden pago">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{pagoCausado.numeroOrdenPago}" />
                    </p:column>

                    <p:column headerText="Fecha pago">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{pagoCausado.fechaPago}">
                            <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                               timeZone="GMT-5" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Valor pagado">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{pagoCausado.valorPagado}">
                            <f:converter converterId="converterMoneda" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Valor pago salud">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{pagoCausado.valorPagarSalud}">
                            <f:converter converterId="converterMoneda" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Valor pago pensión">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{pagoCausado.valorPagarPension}">
                            <f:converter converterId="converterMoneda" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Sec. pago">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{pagoCausado.consecutivoPago}" />
                    </p:column>

                </p:dataTable>

            </p:tab>
        </p:tabView>

    </p:fieldset>

    <h:panelGrid columns="2" cellspacing="7">
        <p:commandButton value="Proyectar pago" icon="ui-icon-circle-arrow-e"
                         action="#{adminPagosContratoAvaluador.cargarVentanaProyeccionPago}"
                         update=":administrarProyeccionPagoForm"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide();
                         administrarProyeccionPagosAvaluadorExternoWV.show();"
                         rendered="#{!adminPagosContratoAvaluador.banderaModoSoloLectura}" />
    </h:panelGrid>

</h:form>